{*
 * Zen
 *
 * @author    Zen
 * @copyright Copyright (c) 2022 Zen
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License ("AFL") v. 3.0
 *
 * https://www.zen.com/
*}

{if (isset($status) == true) && ($status == 'ok')}
    <h3>{l s='Your order on %s is complete.' sprintf=$shop_name mod='zencom'}</h3>
    <div>
        <div style="margin-top: 24px;" class="order_delivery clearfix row">
            <div class="col-xs-12 col-sm-6">
                <ul class="address first_item item box">
                    <li>
                        <h3 class="page-subheading">{l s='Order details' mod='zencom'}</h3>
                    </li>
                    <li>
                        <span>{l s='Payment method' mod='zencom'}</span>
                        <strong>ZEN</strong>
                    </li>
                    <li>
                        <span>{l s='Total amount' mod='zencom'}</span>
                        <strong>{$total|escape:'htmlall':'UTF-8'}</strong>
                    </li>
                    <li>
                        <span>{l s='Order ID' mod='zencom'}</span>
                        <strong>{$reference|escape:'htmlall':'UTF-8'}</strong>
                    </li>
                    <li>
                        <span>{l s='Carrier' mod='zencom'}</span>
                        <strong>{$carrier|escape:'htmlall':'UTF-8'}</strong>
                    </li>
                    <li style="margin-top: 24px;">
                        {l s='An email has been sent with this information.' mod='zencom'}
                    </li>
                    <li>
                        {l s='If you have questions, comments or concerns, please contact our' mod='zencom'} <strong><a
                                    href="{$link->getPageLink('contact', true)|escape:'html':'UTF-8'}">{l s='expert customer support team.' mod='zencom'}</a></strong>
                    </li>
                </ul>

                <br/>
            </div>
        </div>

        <div id="order-detail-content" class="table_block table-responsive">
            <table style="margin-bottom: 0;" id="cart_summary" class="table table-bordered stock-management-on">
                <thead>
                <tr>
                    <th>{l s='Product name' mod='zencom'}</th>
                    <th>{l s='Unit price' mod='zencom'}</th>
                    <th>{l s='Quantity' mod='zencom'}</th>
                    <th>{l s='Total' mod='zencom'}</th>
                </tr>
                </thead>
                <tbody>

                {foreach from=$products key=key item=product}
                    <tr class="cart_item">
                        <td>
                            <p>{$product.product_name|escape:'htmlall':'UTF-8'}</p>
                        </td>
                        <td>
                            <p>{($product.product_price|string_format:"%.2f")|escape:'htmlall':'UTF-8'} {$currency|escape:'htmlall':'UTF-8'}</p>
                        </td>
                        <td>
                            <p>{$product.product_quantity|escape:'htmlall':'UTF-8'}</p>
                        </td>
                        <td>
                            <p>{($product.total_price_tax_incl|string_format:"%.2f")|escape:'htmlall':'UTF-8'} {$currency|escape:'htmlall':'UTF-8'}</p>
                        </td>
                    </tr>
                {/foreach}
                </tbody>
            </table>
        </div>
    </div>
{else}
    <h3>{l s='Your order on %s has not been accepted.' sprintf=$shop_name mod='zencom'}</h3>
    <p>
        <br/>- {l s='Reference' mod='zencom'} <span
                class="reference"> <strong>{$reference|escape:'html':'UTF-8'}</strong></span>
        <br/><br/>{l s='Please, try to order again.' mod='zencom'}
        <br/><br/>{l s='If you have questions, comments or concerns, please contact our' mod='zencom'} <a
                href="{$link->getPageLink('contact', true)|escape:'html':'UTF-8'}">{l s='expert customer support team.' mod='zencom'}</a>
    </p>
{/if}
<hr/>
